#275 Bookings not saved/very slow to save if mail server not working?

Future_Requests
open
nobody
None
1
2013-07-15
2013-07-15
No

Looks like there may be an issue if communication with the mail server is nor working properly. See the correspondence below. MRBS should probably fail more gracefully by abandoning the attempt to send mail, or log the fact that it is taking a long time, and saving the booking.

Campbell


Hello all,

We were also having timing out issue on booking save and causing the error "MRBS: Failed to acquire exclusive database access" yesterday since our Servers came back online from the Power Outage (Toronto Area Flooding/Storm).

I checked the timezone issue but that did not work. Looking into it further, I noticed the issue of the mail not being sent/received upon that random instance when booking went through after a long wait. As part of the debugging process, I turned off mailing (send email to admin/booker/confirmation etc) in config.inc.php and that fixed it. Therefore something was up with the mail, not MRBS.

I restarted the sendmail on the server and restored the settings in config.inc.php. This fixed the problem.

MRBS Version: 1.4.8+svn
Problem:"MRBS: Failed to acquire exclusive database access"
Cause: Timeout on sending the email notification
A Solution: Restarting Mail server on your server.
Note: This mail not apply to all but worth a try.

I hope this helps anyone else out there.

Cheers,

--
Ali Sadaqain

On 2013-07-10, at 11:03 AM, Orr, David wrote:

OK, got the issue figured out!!! 
Turns out it was a communication issue with the mail server.
A restart of the mail server fixed the issue.

Sincerely
Dave Orr

From: Campbell Morrison
Sent: Monday, July 08, 2013 1:46 PM
To: General purpose list (support/developers/users)
Subject: Re: [MRBS-general] MRBS Slow + 500 Error

Are you getting any errors in any of your logs? Has anything been changed recently, eg your network configuration?
Campbell
On Jul 8, 2013 8:01 PM, "Orr, David" wrote:
Thanks for the input Campbell.

Here’s more info on my setup:

Meeting Room Booking System: MRBS 1.4.9
Database: PostgreSQL 9.2.1, compiled by Visual C++ build 1600, 64-bit
System: Windows NT ACYKWEB 6.0 build 6002 (Windows Server 2008 Enterprise Edition Service Pack 2) i586

PHP: 5.3.18

Sincerely
Dave Orr

From: Campbell Morrison
Sent: Monday, July 08, 2013 12:18 PM
To: General purpose list (support/developers/users)
Subject: Re: [MRBS-general] MRBS Slow + 500 Error

PS The timezone problem was fixed in 1.4.9, so if you are running 1.4.9 the problem will be something else.
Campbell
On Jul 8, 2013 7:12 PM, "Campbell Morrison" wrote:
Is your server isolated from the internet and did you install MRBS about a month ago? If so then I suspect the problem is a known bug to do with updating the timezone data. To get round the problem set
$zoneinfo_expiry = PHP_INT_MAX;
in your config file.
Campbell
On Jul 8, 2013 6:16 PM, "Orr, David" wrote:
Good day.
The issue I’m having seems to have just occurred in the last few days.
When adding or editing a room booking the save function is very slow and eventually I get an error for the edit_entry_handler.php file.

It takes approximately 5 minutes for it to error out.

We have been running this server since last fall with no issues.

Install Information is as follows:

OS: Windows Server 2008 SP2
Web Server: IIS Version 7.0.6000.16386
Database: PostgreSQL Version 9.2
MRBS: Version 2466 2012-10-03 20:03:53Z

Thanks for your assistance.

Sincerely
Dave Orr

Discussion


Anonymous


Cancel   Add attachments